BEGIN ~TRUNGLE~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 3
END

IF ~~ THEN BEGIN 1
  SAY @3
  IF ~~ THEN REPLY @4 GOTO 2
  IF ~~ THEN REPLY @5 GOTO 6
END

IF ~~ THEN BEGIN 2
  SAY @6
  IF ~~ THEN DO ~StartStore("trungle",LastTalkedToBy(Myself))
~ EXIT
END

IF ~~ THEN BEGIN 3
  SAY @7
  IF ~~ THEN EXIT
END

IF ~True()~ THEN BEGIN 4
  SAY @8
  IF ~~ THEN DO ~StartStore("trungle",LastTalkedToBy(Myself))
~ EXIT
END

IF ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 5
  SAY @9
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6
  SAY @10
  IF ~~ THEN EXIT
END
